%define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

Name:		pdfsplit
Version:        0.4.2
Release:        1
Summary:        Split a PDF file or rearrange its pages into a new PDF file.
Group:          Applications/System
License:        GPLv3+
URL:            https://pypi.python.org/pypi/%{name}
Source0:        http://www.dinu-gherman.net/tmp/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  python-devel >= 2.6.2
BuildRequires:  python-setuptools >= 0.6.14-1

Requires:       pyPdf >= 1.13-1
Requires:       python >= 2.6.2

%description
Pdfsplit (formally named pdfslice) is a Python command-line tool and module for
splitting and rearranging pages of a PDF document.  Using it you can pick
single pages or ranges of pages from a PDF document and store them in a new PDF
document.  To do this you describe these pages with the simple Python slice
notation, e.g. 0:10 for the first ten pages, -10:0 for the last ten pages,
0::2 for all even pages, -1::-1 for all pages in reversed order, etc.

Basically, pdfnup wrapps pyPdf, a package written by Mathieu Fenniak, which
does not provide tools like this for using the core functionality easily from
the command-line or from a Python module.


%prep
%setup -q


%build
python setup.py build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

python setup.py install -O1 --skip-build --root ${RPM_BUILD_ROOT}

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%doc PKG-INFO README.html README.txt
%{_bindir}/*
%{python_sitelib}/%{name}*
/usr/bin/*


%changelog
* Tue Jul 30 2013 Michael Perzl <michael@perzl.org> - 0.4.2-1
- first version for AIX V5.1 and higher
